Subject: Re: Organis design submission

From: Carl Vilbrandt <[email-masked]>
Date: Sun, 23 Mar 2003 20:50:21 +0900

Picking back up were I left off in my answer to you Gerry.  I think.....

Gerry Gleason wrote:

>>
>> 2.   To me Cellular Automata as related to  Wolf Ram's work  "a new 
>> kind of
>> sicence" is very timely,  ( Its the largest book I have ever 
>> purchased )...
>> and critical under pinings to the concept.
>>
> Got it!  I've looked over the Wolfram website and material about the 
> book, etc.  After reading the James Gliek book (Chaos), I went sort-of 
> nuts exploring whatever I could find in this area and in a number of 
> related directions.  I'm sure I must have come across some of his 
> early material as explained in other books, but his book was so long 
> in the making ...  The material that I could get too wasn't that 
> impressive, and there was a self-promotional tone that sort of turned 
> me off, but that is in part because of my background in these ideas.  
> I was looking for something that susinctly summarized the deepest 
> insights, and all I found was basic chaos/complexity theory background 
> (which certainly isn't unique to Wolfram).

Yeas.... the self-promotional tone is a great turn off  to all.  and  I 
have found no susinctly summarized insights. Wolfram does cover an great 
number of various implications, but all taken together its impressive, 
but sadly there is as far as I can tell no smoking gun,  because 
decentralized complex interactions are not predictable however what he 
has accomplished is equating digital computations to natural complex 
organizational structures thus linking them together forever.
"Digital based synthetic cellular simulations can be predictive" is what 
you might be able to claim from Wolfram's work.

>
>
> I'll take your word that the book is worthwhile and represents 
> something very new and innovative, and I'm having Debbie stop by the 
> bookstore and get it.  I semi-consciously dropped this out of the 
> intro text because I'm not sure how to tie it in, and I think the 
> theory and its application to Organis needs more background to 
> effectively introduce.

>
>>
>> Wolf Ram does a good job of proving that only simple rules create 
>> complex
>> behaviours that can not be prodicted and only can be understood by
>> simulation.   He proves that for the most part sicence as avoided 
>> dealing with
>> systems that produce complex behaviours, because they do not produce 
>> ( with
>> out computers ) any type of predictions ( one of the basic rules of 
>> sicence )
>>
> And he gets to making predictions with the new theory, or not?  Seems 
> to me that there are a lot of results here that amount to "solving the 
> halting problem", which is to say maybe you can classify systems into 
> predictable and non-predictable, and characterise some of the 
> regualities of the non-predictable ...  It ends up being more like 
> exploring space than traditional science. 

Yes I agree interesting.

>> Hence sicence has been blind to the idea of Gaia because at its base is a
>> simple set of rules and independent agents that produced Gaia.... 
>> Gaia is a
>> basicly a very large Cellular Automata computation  that is evloving 
>> .   Gaia
>> can not be predicted, but it can be simulated.   Wolf Ram as linked 
>> for ever
>> complexe biological growth patterns and evolution to under lying sets 
>> of rules
>> that are responsible for evloution the organs of Gaia's emerging
>> personification the VNO ... The Gaia human face of  "a new type of 
>> animism /
>> sicence"  a basic understanding of non lineal simi-determistic 
>> fuctions of
>> the animistic sicence brought about by the computational evolution 
>> and bio
>> evloution as identical.
>>
> IMHO, the concept of Gaia actually goes beyond what we are likely to 
> (fully) explain in scientific terms.  More of a mystery in the 
> spiritual sense, but I think complexity theory can help our minds get 
> a grip on it.  This is a very fascinating cluster of ideas.

Yes it really is

>> "VNOs which are the organs of Gaia's emerging personification"  is a 
>> great
>> line and it is  the organic  humanistic spirit side of it.  The new 
>> kind of
>> sicence base on Cellular Automata is the non-determistic digitalistic
>> trans-human simulation side of it.
>>
> I agree, but this is also where things start getting pretty "thick". 
> I'd prefer to push these ideas down into the details where some 
> background can be provided, but you are probably right in trying to 
> introduce it early.  Also, some of my reluctance to include this 
> up-front is a suspicion that the "cellular automata" analysis is every 
> bit as disconnected from reality as the paradigm it seeks to replace. 
> I'll probably feel better about this after I get a good look at 
> Wolfram's ideas.

Yes it is "thick" and it is disconnected.....  getting back down to 
earth...  With the Honda car manfacturing and the freedom of informaion, 
control of  production by the porduction workers and Just in Time by 
small busness that virturaly expanded their Mfg Ops. ...  that and Linux 
Project is the on the ground approach..... This part is the theory.

>
>> That I think is critical to the proof of
>> and creation of Organis concept leading eventually to the virtural 
>> and the
>> phisycial simulation of the "Organis" design.
>>
> Yes, but I think it is probably too early to conclude that the 
> theoretical underpinning of Organis can be fully worked out this way. 
> There is a lot of interesting theory to build, and I think there is 
> great promise here for analysing the progress and application of 
> Organis design, but the concepts have merit that goes beyond whether 
> or not the theories work out as we expect.  1) there are other solid 
> foundations to build on, and 2) pragmatism wins out in the end in 
> terms of the real leaders who join with us to move all of this 
> forward.  In other words, we will adapt to be successful reguardless 
> of how the analysis comes out in the end.

I should have said that its part of the proof.... the parmatic proof is 
 Honda and Linux Project.   You are correct it is to early to conclude 
that the theoretical underpinnings can be fully worked out..... but 
 something can be said for the artistic best guess for the design 
competition.  Make a statement and learn and  I  agree with you on 
points 1 and 2

>
>>
>> 3. Is that the GGPL and the three provisions that are the common life 
>> thread
>> for all cells and which adhearance to is by legal agreement is 
>> manditory needs
>> to be stated better.
>>
> The GGPL connection was introduced in a later paragraph and I wasn't 
> suggesting we de-emphasize this.  The three pillars of the GGPL are 
> still there in the last line.

Ok!

>
>
>>
>> 4. and I may have left that out... Growth is by tranformation and 
>> replecation
>> not by growing larger.  a  Concept proven by Land about 20 to 30 
>> years ago.
>>
>> 5. There are basicly two types of investment one is in physical goods 
>> the
>> other is in human education as the general level of knolwage of 
>> materials and
>> processess increases so does the general level of finical stability and
>> growth.
>> I can't remember the name right now maybe Snow he got a Nobel award 
>> in econimy
>> on this concept.
>>
> Can't find any references to Snow right off.  Paul Romer has some good 
> stuff relating to achieving continuous growth in income through 
> technological progress rather than constantly expanding physical 
> output (which obviously can't be sustainable).  This paper 
> http://www.stanford.edu/~promer/Mkt-forSE.pdf is one good reference 
> for pushing the idea of growing the amount of education as a way to 
> keep growing without expanding physical output.

It is Paul Romer .... not Snow ... I will double check

>>>> The Virtual Networked Organisations (VNO's) are orgamistic trans-human
>>>> digitally networked cellular business structures who's sustainable is
>>>> based on the creation of charters for novel non profit Micro
>>>> Cooperatives (MicroCo-Ops) business entities geographically grouped in
>>>> computational farm grids.   Virtual Network(ed) Organisation (VNO)
>>>> allows any number of geographically dispersed MicroCo-Ops of knowledge
>>>> workers to virtually collaborate on a project under no central planning
>>>> and were for many various central areas of focus, the roles of
>>>> co-ordination and management arise from any of the project knowledge
>>>> workers based on level of knowledge and  interest.  The definition and
>>>> recognition of the operations of  VNOs structures are base on the case
>>>> studies of the Linux Project done by George Dafermos.
>>>>
>>> I like this pretty much as is with e a little cleanup.  The only thing I
>>> don't like is the negative idea of "no central planning", but how to
>>> restate this positively?  What we really have is "distributed planning
>>> based on transparent sharing of goals, ideas, code, etc."
>>>
>>
>> Humm the "central planning" means the less dyanmic and effecent and 
>> the more
>> complex the rules and the more predicitable.   Gaia has no central 
>> planning!
>> Wolf Ram proves that the more complex the rules the less dyanmic and 
>> less
>> complex the results so that its becomes more predictiable......   I 
>> might add
>> the more corrupt the system becomes over time.
>>
> I think we agree here, but I'm just trying to find a positive way to 
> state it without distortion.  Maybe I can state it in terms of 
> "emerging order", but I think it is important not to gloss over the 
> difference between the emerging order of chaotic (cellular automata) 
> systems, and also harnessing the power of the human capacity for 
> linguistic communication.

I really like "emerging order" great sound bits.

> Most physical and biological systems just don't have this level of 
> organization, which makes possible phenomena way beyond what is 
> possible with these more basic systems no matter the complexity of the 
> emerging behaviors.  No doubt, Wolfram's ideas can say something about 
> the emergence and structure of language, but the existence of this 
> level brings out a new set of phenomena that cannot be analysed purely 
> in terms of the physical systems.

Nice observation and good point well stated.

>>> There are some organizational functions that could/should be more
>>> centrally controlled.  I'm not sure about exactly where this fits, but I
>>> am primarily thinking about financial controls and governance issues.
>>>
>> OOPs may be number 5 .... Global Openness and total tranparance of
>> transactions was left out from above.
>> that answers the corruption issues.......  centeral governance 
>> allways means
>> loss of local controls and corruption.
>>
> Agree.  I was thinking more in terms of guidance and than controls.
>
> The systems of governance can be thought of as part of the genetic 
> systems that need to be developed before Organis can fully emerge.  It 
> should be clear from how I continued that these structures would 
> organically develop from the bottom up with local control.  The 
> benefit of having VNOs dedicated to governance and administrative 
> systems is that each MicroCo-Op would not need to re-invent the wheel 
> here, but just download the templates and systems from the VNO, and 
> even enlist the help of MicroCo-Ops that are more specialized in the 
> processes of the start-up phases.

Yes this was and idea that emerging as I was writing this.  The 
connection from the real to the virtual was necessary.

>>> Without this, corruption can destroy the entire enterprise.
>>> Ultimately, a VNO would be controlled by democratic input from its
>>> communities, and the Micro Co-ops would be similarly controlled (by a
>>> smaller constituency). Common standards and operating principles would
>>> be developed and shared between VNOs, and it might be useful to
>>> establish one of more VNOs whose mission is to develope and maintain
>>> these standards and principles, and provide services to raise and
>>> maintain a high standard for organizational governance for all the VNOs.
>>> Of course, this wouldn't be dictated from headquarters, but rather
>>> emerges from the self-organizing principles and a large network of VNOs
>>> all trying to solve these problems in parallel and sharing results and
>>> tools.
>>>
>>>> CompuFarms (CF) the physical equavelence of the VNO type structure is
>>>> being envisioned and developed in Japan by Carl Sunburg.  CF  is the
>>>> large geo political grouping of  MicroCo-Ops that  form a peer to peer
>>>> computational farming grid nodes  for various types of active data
>>>> repositories, disaster recovery resources, and for government, finical
>>>> and scientific simulations.  The data storage and computational
>>>> resources provide one source of income for the MicroCo-Ops.  
>>>> MicroCo-Ops
>>>> would also provide digital services for local government and 
>>>> educational
>>>> services.
>>>>
>>> This is very cool.  Is there more from Carl S. about this plan?
>>>
>>
>> I hope some of carl's advance busness plans could come out under the 
>> Organis
>> design
>> He has three levels in his designs  "gift or volantary comunities--
>> educational -- goverment"  "free source non-profit" and "profit".   His
>> designs are based on the use of large digital farming grids.  The 
>> investment
>> is mostly in education and the growth is through transformaion of the 
>> level of
>> human skills and replecation of nodes of the grids.
>>
> I'm itching to see more on this, maybe we can encourage him to 
> circulate what he has now a bit more widely?  I'd be more than happy 
> to give feedback, etc.

I have had the chance to talk to him and he has agree to publish .... 
The timming is based on it being after his proposal.
I think you will like it.

>>> I've also been working on ideas to build an Open Source based consulting
>>> business using geraldgleason.com (GG.com). ...
>>
>> Carl and cArl have been working on many of the above things you have 
>> mention.
>> Carl again as three interlocked tiers to deal with the above issues..
>>
> It is gratifying that my direction is in sync with what you guys are 
> up to even if we haven't been talking a lot about it. The more you can 
> give me about these plans, the more I can keep my business planning 
> and marketing strategy in sync as I go forward.  I can imagine how 
> these tiers would work to deal with this, but a little more detail 
> would go a long way here.

I will ask Carl if I can release some details to you soon.

>> My only concern is the issues of forming a for proift compay, that has a
>> charter that  binds the company to have more than for profit 
>> movations to a
>> legal agreement, that if broken will cause the disolution of the 
>> company.
>>
> Yes, I can see this too.  On the other hand, maybe the idea is that 
> the VNO level organizations should always be non-profit (whether 
> strictly charitable or just an association), but that the MicroCo-Ops 
> could go either way under local decisions and control.  Since we will 
> always be talking about 1-26 person companies, there is little need to 
> consider publicly owned corporate structures.  With privately held and 
> controlled companies, I think you would be able to avoid charters that 
> are binding in this way.  Further, wouldn't it be the agreements that 
> bind the MicroCo-Ops with the VNOs that create and maintain the 
> "cellular automata rules"?  Any given MicroCo-Op would be able to drop 
> out and start to grow "non-Organistically" because they still retain 
> local control (while honoring limits of the existing agreements about 
> how and when this is allowed).

Great point .... I need to come back to this and work on it more.

>> Again growth can not be by expanding and growing in size, but only by
>> replecation.  I will send you some links to Lands books...... Current 
>> finical
>> systems can only surive if they continue to grow by expanding and 
>> investing in
>> products and this is the underlying reasons for the enviromental 
>> problems.
>> Everone in busness knows that you must grow or die....   Sun is dead 
>> by the
>> way...:-)  micro i mean.
>>
> But, the VNOs can still "grow", right?  In terms of membership and 
> scale of operations, but since they are virtual and non-profit, the 
> rules for current financial systems don't really apply.  The 
> MicroCo-Ops remain small and agile, and even "cell death" doesn't have 
> to be a big deal. When a MicroCo-Op dissolves, all the assets can be 
> redeployed to existing and new cells.

Yes that's the idea.

> Sun is an interesting case.  The community is not happy with their 
> response to the SCO lawsuits either (we have clear IP title to 
> Solaris, and we are re-evaluating our stance on Linux), while they are 
> very supportive of IBM (go IBM, crush SCO with your legal power and 
> patents). The interesting thing is that it is Dell who is really 
> eating their (Sun's) lunch, but if Dell doesn't start getting a clue 
> and actually openly supporting OS development and community, I expect 
> them to fade as well.  I'm not sure what to think about IBM and their 
> direction.  They are certainly doing a lot to legitamize OS in general 
> with the business community, but they are hardly (or can I imaging 
> them ever being) a virtual company.

I agree with you.

>>> I'm getting confused with this.  Would CF be basically a network of
>>> MicroCo-Ops which actually own and operate the physical farms?
>>>
>> Yep!  like a farm co-op that distributes the digital services.
>>
> But with farm co-ops, they are the equivalent of the VNOs, and the 
> MicroCo-Ops are the equivalent of family farms, right?

Yes!

>>> I'm trying to think about how this would evolve from the current 
>>> situation
>>> where the bigger projects are basically non-profit VNOs, managing all
>>> their own resources, and large numbers of small projects are hosted by
>>> the likes of SourceForge or FreshMeat, etc.  It seems like CompuFarms
>>> would compete with these, or would it try to join the smaller
>>> competitors of these into a cooperative network?
>>>
>>
>> Welll the name FreshMeat is virtural free and open market place :-)   
>> Where
>> the VNO distribute their digital services.
>> However this is all done with no fees charged... or ....
>>
>> CF is a physical form of FreashMeat that VNO roof by which the 
>> knolwage worker
>> can recive reimbursment for his services.
>>
> You mean that CF would attract talent into its network of MicroCo-Ops 
> because of the way they are structured to capture revenues, and CF 
> would grow by building its network of MicroCo-Ops?

Not just attract talent but grow it.

> I guess what concerns me here is that the existing hosting 
> organizations (my examples, and more) are going to be competing with 
> the CF VNO for mindshare, marketshare, and we are going to need really 
> compelling arguments and motivations to get projects to move over.  
> The bigger projects (e.g. Apache, Perl, Linux kernel, ...) have and 
> maintain their own resources in some cases, but probably more often 
> they are hosted by a sponsor.  There is a disconnect here because the 
> OS projects are naturals to become VNOs, but they owe something 
> (possibly contractually) to their sponsors, and what we are proposing 
> here is to sponsor more from the bottom up (i.e. the revenue streams 
> of the MicroCo-Ops support the VNOs).  Maybe there isn't a real 
> problem, but their could be.

Well CF VNO is trying to create not compet .... CF / Carl knows global 
finical data services and has no interest in existing applications .... 
No problem, but could be.

>>> Thinking about this from the standpoint of my "GG.com" planning, I could
>>> operate a facility in my locality, ...
>>>
>>
>> Roughly that's the idea....
>>
> Great!  Of course, I'm very interested in more details here, but you 
> already know that :-)

working on it.

>
>>>> MicroCo-Ops growth will be based on transformation of services from
>>>> analog to digital
>>>>
>>> At best this analog to digital concept is unclear, and at worst it is
>>> wrong and/or misleading.  To a large extent, the analog to digital
>>> transition is complete, at least in communications and information
>>> storage and management.
>>>
>>
>> Hummm yeas, but the humand element has not made the change there are 
>> very few
>> digital people around.   Above I mention transformation as education 
>> ..... the
>> reason I left it so vague is that each knolwage worked and the local
>> envriomental condtions are a source of attachment to the real world 
>> and the
>> analog to digital conversion takes place at this phsyical level.  So 
>> each
>> digitl person is a probe that has valuable information that is traded 
>> for
>> services.
>>
> Ok, I can get my mind around that, although I find it a little 
> difficult to think of people as analog or digital :-)  From the 
> standpoint that only a small percentage of the world's people are even 
> connected to the Internet, it really makes sense.  Even in my region 
> where people are very connected, there is a distinct digital divide, 
> and I'm sure that is part of what you are getting at here.

Yes that is part of what I am trying to get at.... The more we address 
the digital divide the more Organis will grow.  We believe that Japan in 
five years will be the most wired area in the world and they will 
address the digital divide..... There are many reasons.

> In my environment, I can only reach past the digital divide to the 
> extent that I get sponsorship from government and educational programs 
> to pay the bills (because I don't think these services are very 
> marketable to the digital have-nots except through programs), and the 
> market that is ready for this (small businesses to a large extent) 
> have often invested already in dead-end technology.  I guess you can't 
> expect it to be easy, at least not at first.

No not easy that is the why for the GNUbook..... a two year old level 
person can put it together and operate it.....
T - Linux.... Tron and Linux combo..... two computers one is an agent to 
teach/support and address the digital divide.

>>> I claim the transition we are approaching, and
>>> this proposal seeks to address is fundamentally about the way the
>>> Internet enables and facilitates group formation (ala the Group Forming
>>> Networks (GFN) ideas I sent around a while back).  The technology is in
>>> place for the most part now, but the social and organizational
>>> innovations are just starting to emerge.
>>>
>>
>> The growth for a long time will come from the actual transfromation 
>> of the
>> analog services and structures to digital.
>>
>>>> 2. The limiting size factor for personal is 1 to 26
>>>>
>>> Is there some research to base this size factor on?  My experience with
>>> small organizations suggests that there is often a serious breakdown in
>>> communications that becomes critical somewhere between 50 and 100
>>> employees, so I agree completely with the idea, but I'm not sure
>>> where/how to draw this line.
>>>
>>
>> I have done much reading and research in may different areas.  
>> Roughly there
>> are two break points in the doman and range of human I/O that I base 
>> this
>> on.....  7 to 8 is flash memory as it were.... I will send you the 
>> links is
>> strongly connected to the number of commands and the ability to creative
>> think....... I limit the number of commands for an processes to 8 to 
>> 10 ......
>> second is longer term buffers as it were..... rembering the order of 
>> a actural
>> string of events.... is limited to 26.......... The number of personal
>> relationship at work / number of names that can easly be remembered and
>> tracked is 25 to 26..   The limit for a class of students were a 
>> teacher can
>> keep personal track is 25.   and so on....
>>
>> 26 is on the high side.   Only 15 core members of a VNO cell as it 
>> were do
>> most of the programing and 10 to 11 give support to a cell and thats 
>> from what
>> I have read is a large cell.
>>
> Makes sense, I was just looking a a bit more background.  So it is 
> based on cognitive limits, and might be subject to tuning (up or down, 
> but mostly down) and experimentation.  It probably makes sense that a 
> cell would be ready to divide about that time it gets near the limit.

Understand if you can point to other information on this ..... Its a 
weak point and most people don't like to see human limits...... The old 
exercise of how many people can pass a simple command between each other 
before it is completely changed.... :-))

>>>> 5.  They subdivide in to separate organization
>>>>
>>> I would base this on divergence of missions as much or more than pure
>>> size considerations.  The way I see it, the VNOs are more the visible,
>>> marketable face of this, and the MicroCo-ops are where the work actually
>>> gets done, and customer/clients interact with workers.  Wouldn't this
>>> work sort of like a franchise?
>>>
>> growth must be by reproduction and so size relivitive to local and 
>> fuction is
>> the most revelent.  The creation of a competor cell must be based on 
>> size and
>> locality.  competor cells are nessessary to have self governence.
>>
> Or at least the potential of a competitor.  Some markets may be too 
> small to support more than one cell, but the traditional view in 
> economic theory is that as long as you keep the barriers to entry low, 
> even a single companies prices are constrained by the posibility of 
> competition.  Based on the rest of the discussion, I withdraw my 
> assertion about it not being size based, although mission divergence 
> would be part of it.  In the end, you need there to be no advantage to 
> growing larger so that when things get to a natural breaking point 
> there isn't any resistence to splitting, and there would be little 
> need to enforce rules relative to this.

Yes mission divergence is the same as adaptation and flexibility.

>>>> 7. As a non profit they must achieve their goals by not growing larger
>>>> in size, but by their reproduction. However at the same time they 
>>>> are in
>>>> competition with each other to provide services under GGPL at
>>>> continually
>>>>
>>> I don't really see this as based on being non-profit.  Non-profits can
>>> grow by building up membership as well, and at the VNO level, I expect
>>> some of the organizations will be quite large indeed, based on how
>>> universal the need they address is.  Splits are mandated by
>>> inefficiencies of scale.
>>>
>>
>> No I don't think so its late and I need to go.... Lets talk more 
>> about this.
>>
>> This has been great.... talking to my self is just not as 
>> productive.  I will
>> work over the rest of this tommorow
>>
> Ok, it's been fun so far :-)
>
> Gerry
>
>>> most of the efficiencies of scale that are the
>>> basis of increasing size of commercial entities are based on limiting
>>> the free exchange of ideas, which ends up being a net cost to the
>>> society as a whole.  Name recognition via mass marketing is another big
>>> one, but that will be a function of the VNOs, and not the MicroCo-Ops,
>>> right?
>>>
>>> Competition can be good in some contexts, but if you look at the farm
>>> analogy, there are problems.  I don't doubt that market competition has
>>> made food productions very efficient, but often at the expense of the
>>> very things we are interested in protecting.  Of course, competition
>>> under the GGPL would factor in some of the externalities, but there are
>>> still problems.  In the growth phase, things are ok because price
>>> signals are both promoting more production and prividing a good margin
>>> for existing producers, but eventually the demand is met and prices
>>> start to fall.  In the steady state, demand doesn't change that much
>>> either way, but prices are based on current supply, so if there is a
>>> good year there is over supply and if there is a bad year, at least some
>>> farmers are hurting from low yields.  Your body does not place your
>>> cells in competition with one another (in general), but there are a lot
>>> of regulatory processes that keep things in balance.  Regulatory
>>> processes use signals that are processed by an information system and
>>> fed back as control signals to slow down or speed up other body systems.
>>> The point of all this is that you have to be careful about when to use
>>> pure market competition, and when you need to tweak the market signals
>>> or introduce another system of signals altogether.
>>>
>>>> The proposed rules  attempt to develop computer orgnisational growth
>>>> models, that exhibit both continuous sustainable growth through
>>>> transformation and replication and complex unpredictable random
>>>> behaviors necessary to realize the hyper functional organizational
>>>> qualities including decentralize control, self organising, dynamic
>>>> response, and efficiency as witnessed in the Linux project and appears
>>>> to be occurring with other Libre Source projects.
>>>>
>>> When you talk about "continuous sustainable growth", I think you must
>>> look at the stuff from Paul Romer. The core of his proposals is that
>>> continuous growth in wages and GNP is only possible by being smarter and
>>> sharing more knowledge or information, and this is good because it is
>>> consistent with the Organis conception.  In one paper he talks about why
>>> stimulating the demand side of technology is often conterproductive
>>> because adding funding for R&D (demand side) might be good for the
>>> salaries of scientists and engineers, but this price signal doesn't
>>> translate well to an increase in the supply of skilled workers.
>>>
>>> For effective promotion of Open/Free Source development and deployment,
>>> there is both the supply of skilled workers as well as the supply of
>>> paying jobs.  The issue here is that many people want to do this sort of
>>> development, but also need a paycheck to support themselves and their
>>> families, so the question is more one of establishing revenue streams
>>> that grow in response to usage of OS software, and feeding some of this
>>> back to the development side.  Clearly some organizations like RedHat
>>> and IBM are extracting revenues from the sales and services end, and
>>> they are feeding back some of it to development, but the scale of this
>>> is still very small compared to the demand.  Others like Dell and Sun
>>> seem to just be taking away and not giving anything back of note.
>>>
>>> So, let's go back to my GG.com concept as an example.  If something like
>>> it already existed, I wouldn't bother (I'd just apply there for a job),
>>> and if generating good leads (i.e. ones leading to sales) was as easy as
>>> contacting all the Linux distribution vendors, the concept would be a
>>> slam dunk.  So, instead, the only viable path is the painful process of
>>> generating leads myself and following up, etc., etc. etc.  So, one way
>>> to go is to build something like CompuFarms as a VNO, and provide all
>>> sorts of community services under a "Virtual Roof" and market the whole
>>> thing as a much larger concept, then GG.com is just a MicroCo-Op member
>>> of the CompuFarms VNO.  Actually, this could be a viable model, but only
>>> if together CF and GG.com generate enough business (in GG.com's geo
>>> region) to keep GG.com viable, and the collective revenues from all the
>>> MicroCo-Ops under CF generate enough excess revenue to support CF's
>>> operations as well as feeding some of this back to development.
>>> Microsoft has extracted billions of dollars from its customers over the
>>> years, so it shouldn't be that hard to provide free software for the
>>> masses with top notch support for a fair price for far less than the
>>> going rate.
>>>
>>>> "the state of nature" The Garden of Eden "that  a set of simple 
>>>> "natural
>>>> rules" genitic  code (like programing ) that repsent combintory
>>>> solutions worked out over centures stemming from the laws of physics of
>>>> matter that express themselves in  complex biological systems with no
>>>> centeral control system.  The "natural rules" and resulting self
>>>> governing and self replcation of biological structures of gentic code
>>>> really have no most no parallel to any other human social strutcture
>>>> other than the Linux project.
>>>>
>>>> The type of  noncentralized control evolution and development of
>>>> biological growth base on gentic blueprints and physical law as  that
>>>> respectively can not be broken or can not be easly changed because of
>>>> the many levels of interactive complex behaviour does not seem to have
>>>> any thing in common with anarchy nor libertarianism.  The "natural
>>>> rules" are simple, but exibit high level both localy and global of very
>>>> controled highly organised codes boundaries and interactions,  that
>>>> repesent sets of various solutions for a given set of physical
>>>> boundaries and indeed rules that cannot be broken and leave very little
>>>> choice for a given life form.
>>>>
>>> These two paragraphs need a bit of work.  I'll wait for another draft
>>> before taking a stab at it.  Maybe a few more ideas from my little
>>> anarchy screed (at http://www.geraldgleason.com/projects/anarchy.html)
>>> would connect the ideas better.  Another helpful concept that this
>>> suggests to me is the idea of "autopoesis" from Maturana and Varella,
>>> _The_Tree_of_Knowledge_.  At first glance, it seems you are saying that
>>> organisms "cannot be easily changed", but I think you are trying to make
>>> a different point in reality.  I would say that these systems are both
>>> relilient and adaptable, so that they tend to resist change in most
>>> situations and actively try to restore the original state, but finding
>>> themselves in a very different state, the "law" is change or die, so
>>> change they do.
>>>
>>>>
>>>> We envision the Organis to be a business model by which payment for
>>>> development and services can be introduce to the Liber / free source
>>>> Projects with out disturbing the above mentioned organisational
>>>> qualities.  It is our hope, that a digital based type of "hyper
>>>> fictional micro kernel structured" :-) earth operating system can be
>>>> created that will have the capabilities to compete with and 
>>>> dissolve the
>>>> large inefficient global corporate structures.  NanoCorp or MicroCo-Ops
>>>> entities who rather that merely express  a "code of ethics
>>>> duty/obligation" for the greater good of the public, actually provide
>>>> legal binding agreements as a non-proift entity to provide a real
>>>> services locally promoting digital freedom, human rights and a
>>>> sustainable future for all.
>>>>
>>> I think it is important to remember that there are organic aspects to
>>> how these "large inefficient global corporate structures" came to be
>>> what they are and they will both resist and adapt to the changing
>>> landscape, and do so in ways that are as surprising and hard to predict
>>> as anything that will emerge from the structures proposed here.
>>> Ultimately we need to use both the power of "organis growth" in
>>> addition to the power of the markets and other existing systems to put
>>> things on the right track.
>>>
>>> Anyway, hope this helps, and I look forward to the next revision of 
>>> this.
>>>
>>> Gerry
>>>
>>
cArl -----  I will try to capture the e-mail and make some order.